package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.xsky.FileSnapshotModel;
import com.bocloud.cmp.model.xsky.FileSystemModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface FileSystemProvider extends SuperProvider {
    default BocloudResult list() {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult create(FileSystemModel fileSystemModel) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult remove(String uuid) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult update(FileSystemModel fileSystemModel) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult listSnapshot(FileSnapshotModel model) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult createSnapshot(FileSnapshotModel model) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult removeSnapshot(FileSnapshotModel model) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult modifySnapshot(FileSnapshotModel model) {
        return new BocloudResult(false, "暂不支持");
    }
}
